full-disclosure-uk May 2007 archive
Main Archive Page > Month Archives  > full-disclosure-uk archives
full-disclosure-uk: [Full-disclosure] phpPgAdmin Multiple XSS Vu

[Full-disclosure] phpPgAdmin Multiple XSS Vulnerabilities

From: Michal Majchrowicz <m.majchrowicz_at_nospam>
Date: Sun May 27 2007 - 13:30:07 GMT
To: full-disclosure@lists.grok.org.uk, vulndiscuss@vulnwatch.org, vulnwatch@vulnwatch.org, bugtraq@securityfocus.com


Synopsis: Multiple XSS Vulnerabilities

Introduction:
phpPgAdmin is a web-based administration tool for PostgreSQL.

Details:
phpPgAdmin doesn't correctly sanitize data in $_SERVER array and most of the scripts make direct use of PHP_SELF.

PoC:
http://www.test.com/redirect.php/%22%3E%3Cscript%3Ealert(%22XSS%22)%3C/script%3E?subject=server&server=test This was tested on versions 3.5 to 4.1.1 as not logged user. Other versions may also be vulnerable.

Regards Michal Majchrowicz.
Hack.pl



Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html Hosted and sponsored by Secunia - http://secunia.com/